<div class="grid">

	<header class="row no-padding heading clearfix">
		<div class="col-1 no-padding"><h2>Ny Återförsäljare</h2></div>
	</header>

	<div class="row clearfix">
		<p class="col-1">Fyll i uppgifter för ny återförsäljare</p>
		<div svab-feedback-target="user.administration.reseller.create"></div>		
	</div>
	<div class="row clearfix">
		<div class="col-1">
			<form name="newReseller" novalidate>
						<fieldset>
							<div class="col-1">
								<p><label class="form-required">Organisationsnummer</label><input name="orgNr"
								                                                                  type="text"
								                                                                  ng-model="reseller.resellerId"
								                                                                  placeholder="Organisationsnummer"
								                                                                  ng-required="true" ng-pattern="/^[0-9]{10,12}$/" /></p>

								<div ng-messages="newReseller.orgNr.$error" ng-show="newReseller.orgNr.$touched">
									<p class="form-feedback error" ng-message="required">Ange organisationsnummer</p>
									<p class="form-feedback error" ng-message="pattern">Tio eller tolv siffror utan bindestreck</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Namn</label><input name="name"
								                                                         type="text"
								                                                         ng-model="reseller.name"
								                                                         placeholder="Namn"
								                                                         ng-required="true"/></p>

								<div ng-messages="newReseller.name.$error" ng-show="newReseller.name.$touched">
									<p class="form-feedback error" ng-message="required">Ange namn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Pris</label><input name="price"
								                                                   type="number"
								                                                   ng-model="reseller.price"
								                                                   placeholder="Prenumerationspris"
								                                                   ng-required="true"/></p>

								<div ng-messages="newReseller.price.$error" ng-show="newReseller.price.$touched">
									<p class="form-feedback error" ng-message="required">Ange prenumerationspris</p>
								</div>
							</div>

							<p class="col-1"><label>C/o</label><input name="cOAdress"
							                                          type="text"
							                                          ng-model="reseller.address.cOAdress"
							                                          placeholder="C/O"/></p>

								<p class="col-1"><label>Adress</label><input name="streetAddress"
								                                                     type="text"
								                                                     ng-model="reseller.address.streetAddress"
								                                                     placeholder="Adress"/></p>

								<p class="col-1"><label>Postnr</label><input name="zipCode"
								                                                     type="text"
								                                                     ng-model="reseller.address.zipCode"
								                                                     placeholder="Postnummer"/>
								</p>

								<p class="col-1"><label>Postort</label><input name="addressCity"
								                                                      type="text"
								                                                      ng-model="reseller.address.city"
								                                                      placeholder="Postort"/></p>

								<p class="col-1"><label>Land</label><input name="addressCountry"
							                                           type="text"
							                                           ng-model="reseller.address.country"
							                                           placeholder="Land"/></p>

								<p class="col-1"><label>Telefonnr</label><input name="contactDetailsPhoneNumber"
								                                                        type="text"
								                                                        ng-model="reseller.contactDetails.phoneNumber"
								                                                        placeholder="Telefonnummer"/>
								</p>

								<p class="col-1"><label>Email</label><input name="contactDetailsEmail"
								                                                    type="email"
								                                                    ng-model="reseller.contactDetails.email"
								                                                    placeholder="Email"/></p>


						</fieldset>
					<p class="col-1-2">
						<button class="" type="submit" ui-sref="^">Ångra</button>
					</p>
					<p class="col-1-2">
						<button class="update" type="submit" ng-click="saveReseller(newReseller)">Spara</button>
					</p>

			</form>
		</div>
	</div>

</div>